 /***************************************************************************
 *   Copyright  2009 by Nikolay Nikolov <nikolay.fatal.error@gmail.com>    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef I_WIKI_H
#define I_WIKI_H

#include "AbstractProvider.h"

class QUrl;
class KJob;

class Wiki: public AbstractProvider
{
    Q_OBJECT

    public:
        Wiki(QObject *parent, const QVariantList &args);
        ~Wiki();

    protected:
        bool sourceRequestEvent (const QString &source);
        bool updateSourceEvent (const QString &source);

    private slots:
        void mainPageLoaded(KJob *job);
        void parseMainPage(QByteArray source);
        void photoDownloaded(KJob *job);

    private:
        QString m_lang;
        QUrl m_wikiPage;
};

#endif // I_WIKI_H
